// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import "dialog_manager.js" as DialogJS

Item {
    id: root
    property bool anyAreBlockingKeys: false
    onAnyAreBlockingKeysChanged: console.log("blocking>>", anyAreBlockingKeys)

    function alertShown(obj) {
        DialogJS.alertShown(obj)
        root.anyAreBlockingKeys = DialogJS.anyAreBlockingKeys()
    }

    function alertHidden(obj) {
        DialogJS.alertHidden(obj)
        root.anyAreBlockingKeys = DialogJS.anyAreBlockingKeys()
    }
}
