#!/bin/sh

INTERFACE=$1
ESSID=$2
PASS=$3
KEYTYPE=$4

echo stopping networking
sudo /etc/init.d/networking stop

if [ $INTERFACE = "eth0" ] ; then
    echo enabling ethernet interface
    sudo ln -sf /etc/network/interfaces.d/eth0 /etc/network/interfaces.d/active.cfg
else
    echo writing wireless authentication setup
    sudo sh -c "echo 'network={'  > /etc/wpa_supplicant.conf"
    sudo sh -c "echo '	ssid=\"$ESSID\"' >> /etc/wpa_supplicant.conf"

    if [ ! -z "$PASS" ] ; then
    	sudo sh -c "echo '	psk=\"$PASS\"' >> /etc/wpa_supplicant.conf"
    else
    	sudo sh -c "echo '	key_mgmt=NONE' >> /etc/wpa_supplicant.conf"
    fi

    sudo sh -c "echo '}' >> /etc/wpa_supplicant.conf"

#network={
#        ssid="$ESSID"
#        psk="$PASS"
#	key_mgmt=$KEYTYPE
#}

#End-of-data

    echo switching interface to wireless
    sudo ln -sf /etc/network/interfaces.d/wlan0 /etc/network/interfaces.d/active.cfg
fi

echo restarting networking...
sudo service networking start
